
Katello - Bug #6146

hammer: 500 ISE when creating a content-host

06/10/2014 06:00 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1105623 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105623

Description of problem:

[root@dhcp201-193 yum.repos.d]# hammer content-host create --name test.katellolabs.org --organization-id 1 --environment

Library/cv1

Could not create content host:

undefined method `get_content_view_environment_by_cp_id' for #<Katello::Api::V2::SystemsController:0x0000000e81ac28>

Version-Release number of selected component (if applicable):

sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0).

How reproducible:

always

Steps to Reproduce:

1. create content-host via cli

[root@dhcp201-193 yum.repos.d]# hammer content-host create --name test.katellolabs.org --organization-id 1 --environment

Library/cv1

Could not create content host:

undefined method `get_content_view_environment_by_cp_id' for #<Katello::Api::V2::SystemsController:0x0000000e81ac28>

2.

3.

Actual results:

Expected results:

If parameters are in-correct then user should get proper error message otherwise user should be able to create content-host

Additional info:

Associated revisions

Revision 06a3f22a - 06/11/2014 04:45 PM - David Davis

Fixes #6146 BZ1105623: Fixing undefined method call

Fix undefined call to "get_content_view_environment_by_cp_id" in systems

controller.

Revision e0d85a01 - 06/11/2014 05:46 PM - David Davis

Merge pull request #4242 from daviddavis/temp/20140610140413

Fixes #6146 BZ1105623: Fixing undefined method call

History

#1 - 06/11/2014 05:52 PM - David Davis

- Status changed from New to Closed

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1105623


- % Done changed from 0 to 100

Applied in changeset katello|commit:06a3f22a481ceabb8160df696600e86c1df4efe8.

#2 - 06/11/2014 07:19 PM - Eric Helms

- Target version set to 45

#3 - 06/11/2014 07:20 PM - Eric Helms

- Triaged set to Yes

#4 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
